Index: /gli/trunk/classes/dictionary_fr.properties
===================================================================
--- /gli/trunk/classes/dictionary_fr.properties	(revision 18639)
+++ /gli/trunk/classes/dictionary_fr.properties	(revision 18640)
@@ -253,5 +253,4 @@
 CDM.SubcollectionManager.Name:Nom du filtre de sous-collection :  
 CDM.SubcollectionManager.Name_Tooltip:Nom du nouveau filtre de sous collection
-CDM.SubcollectionManager.Partitions_Disabled:Cette fonctionnalitÃ© est actuellement dÃ©sactivÃ©e parce que vous vous trouvez dans le mode {0-Current Mode}. Elle n'est disponible que dans les modes {1-Systems} et {2-Expert}. Utilisez Fichier->PrÃ©fÃ©rences pour modifier le mode d'opÃ©ration.  
 CDM.SubcollectionManager.Remove:Supprimer filtre
 CDM.SubcollectionManager.Remove_Tooltip:Supprimer le filtre sÃ©lectionnÃ© de la liste
@@ -324,5 +323,5 @@
 CollectionManager.Cannot_Open_With_Reason:La collection Ã :\n{0-chemin du fichier de la Collection} \nne peut pas Ãªtre ouverte Ã  cause: \n{1-Message d'erreur}
 CollectionManager.Creating_Collection:CrÃ©ation de la collection  
-CollectionManager.Creating_Collection_Please_Wait:CrÃ©ation de la collection...   
+CollectionManager.Creating_Collection_Please_Wait:CrÃ©ation de la collection...  
 CollectionManager.Loading_Collection:Chargement de la collection
 CollectionManager.Loading_Collection_Please_Wait:Chargement de la collectionâŠ  
@@ -496,5 +495,5 @@
 #****** ExportAsPrompt *******
 ExportAsPrompt.Export_Name:Exporter le nom du rÃ©pertoire
-ExportAsPrompt.Export_Name_Tooltip:"Le nom du dossier, dans le rÃ©pertoire tmp de Greenstone, oÃ¹ les collections exportÃ©es seront sauvegardÃ©es."  
+ExportAsPrompt.Export_Name_Tooltip:Le nom du dossier, dans le rÃ©pertoire tmp de Greenstone, oÃ¹ les collections exportÃ©es seront sauvegardÃ©es.  
 ExportAsPrompt.Export:Exporter la/les collections(s)
 ExportAsPrompt.Export_Tooltip:Exporter les collections sÃ©lectionnÃ©es dans le format choisi et le rÃ©pertoire indiquÃ©.
@@ -840,6 +839,7 @@
 MissingEXEC.Title:Addresse de bibliothÃšque Greenstone manquante
 #***** Missing EXEC_GS3 *****
-MissingEXEC_GS3.Message:Attention! Vous ne pourrez pas voir vos nouvelles collections dans l'interface bibliotÃšcaire a moins que vous spÃ©cifiez le chemin sur Greenstone dans la configuration du serveur http Tomcat qui tourne en local sur la machine. Vous pouvez saisir cette information dans le champ ci-dessous, ou plus tard en allant dans "PrÃ©fÃ©rences" et l'onglet "Connection". Rappellez vous qu'une url doit toujours commencer par le protocole, "http://". L'url par dÃ©faut est http://localhost:8080/greenstone3 .  
-MissingEXEC_GS3.Title:Adresse de la bibliothÃšque Greenstone 3 manquante  
+MissingEXEC_GS3.Message:Veuillez entrer l'adresse de base (URL) du progiciel Greenstone 3. Attention! Vous ne pourrez pas voir vos nouvelles collections dans l'interface bibliotÃšcaire a moins que vous spÃ©cifiez le chemin d'accÃšs Ã  Greenstone pour le serveur http Tomcat qui tourne en local sur votre ordinateur. Vous pouvez saisir cette information dans le champ ci-dessous, ou plus tard en allant dans "PrÃ©fÃ©rences" et en choisissant l'onglet "Connection". Rappellez-vous qu'une URL doit toujours commencer par le prÃ©fixe, "http://".  
+MissingEXEC_GS3.Title:Adresse de base (URL) du progiciel Greenstone 3
+  
 #***** Missing GLIServer *****
 MissingGLIServer.Message:Saisissez dans le champ de texte ci-dessous l'adresse du script "gliserver.pl" du serveur Ã  distance. Rappelez-vous qu'une URL valide commence par le protocole "http://" et finit par "gliserver".  
@@ -948,6 +948,4 @@
 Preferences.Mode.Librarian:BibliothÃ©caire
 Preferences.Mode.Librarian_Description:Cette configuration permet l'utilisation normale de l'Interface BibliotÃ©caire de Greenstone : crÃ©ation et paramÃ©trage de nouvelles collections, ajout de documents et de mÃ©tadonnÃ©es aux collections et construction de collections.  
-Preferences.Mode.Systems:SpÃ©cialiste des SystÃšmes BibliothÃ©caires
-Preferences.Mode.Systems_Description:Cette configuration permet la pleine utilisation de l'Interface BibliothÃšcaire Greenstone. Pour tirer profit de toutes les fonctionnalitÃ©s disponibles, vous devez Ãªtre capable de formuler les expressions courantes.  
 Preferences.Mode.Expert:Expert
 Preferences.Mode.Expert_Description:Cette configuration permet l'utilisation de l'Interface BibliothÃ©caire Greenstone en mode expert. Elle est recommandÃ©e pour des utilisateurs expÃ©rimentÃ©s avec Greenstone et qui sont capables de procÃ©der Ã  des dÃ©pannages impliquant l'interprÃ©tation de sorties de dÃ©bogage de scripts PERL. Toutes les fonctionnalitÃ©s de l'Interface BibliothÃ©caire Greenstone sont activÃ©es.  