Index: gsdl/trunk/macros/french2.dm
===================================================================
--- gsdl/trunk/macros/french2.dm	(revision 18632)
+++ gsdl/trunk/macros/french2.dm	(revision 18641)
@@ -29,5 +29,4 @@
 
 _textpoem_ [l=fr] {<br><h2>Kia papapounamu te moana</h2>
-
 <p>kia hora te marino,
 <br>kia tere te karohirohi,
@@ -37,5 +36,4 @@
 <br>puissiez vous Ãªtre dans la chaleur d'une brume d'Ã©tÃ©,
 <br>puisse l'ocÃ©an de vos voyages Ãªtre aussi lisse que la pierre verte polie.
-
 }
 
@@ -56,75 +54,19 @@
 qualitÃ©s soient aussi celles de ce logiciel, le cÃŽtÃ© du <i>patu</i> tranchant comme un
 rasoir symbolisant la technologie de point. 
-
-
-}  
-
-_textaboutgreenstone_ [l=fr] {<p>Greenstone est un ensemble de logiciels dont le but est de donner
-accÃšs Ã  des collections d'informations constituant une bibliothÃšque. Greenstone permet
-d'organiser les informations d'une faÃ§on innovante et de les publier
-soit sur l'Internet soit sur un CD-ROM. Greenstone est produit par le
-<b>Projet de BibliothÃšque NumÃ©rique de Nouvelle-ZÃ©lande</b> Ã 
-<b>l'UniversitÃ© de Waikato</b>, et est dÃ©veloppÃ© et distribuÃ© en
-coopÃ©ration avec <b>l'UNESCO</b> et le Projet de <b>BibliothÃšques
-Humanitaires et de dÃ©veloppement</b>. C'est un logiciel libre (Open
-Source) et qui est disponible pour tÃ©lÃ©chargement sur le site web <a
-href="http://greenstone.org">http://greenstone.org</a>, la licence
-d'utilisation est la licence publique gÃ©nÃ©rale de GNU (GPL).
-</p>
-
-<p>Le but de ce logiciel est de permettre aux utlisateurs, appartenant
-en particulier aux universitÃ©s, biblothÃšques, et autres institutions du
-service public, de construire leurs propres bibliothÃšques numÃ©riques.
-Les bibliothÃšques numÃ©riques sont en train de rÃ©volutionner la mÃ©thode
-de distribution et d'acquisition des connaissances utilisÃ©e par l'UNESCO
-avec ses partenaires habituels, dont les institutions qui travaillent
-dans le domaine de l'Ã©ducation, de la science et de la culture autour du 
-monde en particulier dans les pays en voie de
-dÃ©veloppement. Nous espÃ©rons que ce logiciel servira Ã  encourager la
-construction et la diffusion de biblothÃšques numÃ©riques dans le domaine
-public afin de partager l'information et le savoir.
-</p>
-
-<p>Ce logiciel est dÃ©veloppÃ© et distribuÃ© grÃ¢ce Ã  un effort de
-collaboration internationale qui prit naissance en AoÃ»t 2000 avec trois
-acteurs.
-<p/>
-
-<p>
-<a href="http://nzdl.org"><b>Le projet de BibliothÃšque NumÃ©rique de
-Nouvelle-ZÃ©lande Ã  l'UniversitÃ© de Waikato</b></a>
-<br>
-Le logiciel Greenstone s'est dÃ©veloppÃ© Ã  partir de ce projet, cette
-initiative a ensuite Ã©tÃ© soutenue et prÃ©sentÃ©e par la Sous-Commision
-pour la Communication de la Commission Nationale de Nouvelle-ZÃ©lande
-auprÃšs de l'UNESCO en tant que contribution de la Nouvelle-ZÃ©lande aux
-programmes de l'UNESCO.
-</p>
-
-<p>
-<a href="http://www.unesco.org"><img alt="UNESCO logo" src="_httpimg_/unesco.gif"
-class="logo"></a>
-<a href="http://www.unesco.org"><b>Organisation des Nations Unies pour
-l'Ã©ducation, la science et la culture</b></a>
-<br>
-La diffusion mondiale d'information et de savoir dans les domaines de
-l'Ã©ducation, de la science et de la culture, et en particulier dans les
-pays en voie de dÃ©veloppement, est une des missions centrales du programme
-intergouvernemental de l'UNESCO Â«Information pour tousÂ». D'autre part, une
-technologie de l'information et de la communication accessible est
-considÃ©rÃ©e comme un outil essentiel dans ce contexte.
-</p>
-
-<p>
-<a href="http://humaninfo.org"><b>L'ONG Â«Human InfoÂ» situÃ©e Ã 
-Anvers, en Belgique</b></a>
-<br>
-Ce projet de bibliothÃšques humanitaires et de dÃ©veloppement crÃ©Ã©
-par des agences des Nations Unies et d'autres ONG s'est forgÃ© une
-solide rÃ©putation mondiale en ce qui concerne la numÃ©risation de
-documents relatifs au dÃ©veloppement humanitaire et aussi pour leur
-diffusion publique, gratuite pour les pays en voie de dÃ©veloppement et
-Ã  prix coÃ»tant pour les autres.
-</p>
+}  
+
+_textaboutgreenstone_ [l=fr] {
+<p>Greenstone est un ensemble de logiciels dont le but est de construire et de donner accÃšs Ã  des collections d'informations constituant des bibliothÃšques numÃ©riques. Greenstone permet d'organiser les informations d'une faÃ§on innovante et de les publier soit sur Internet soit sur un CD-ROM. Greenstone est produit par le <b>Projet de BibliothÃšque NumÃ©rique de Nouvelle-ZÃ©lande</b> Ã  <b>l'UniversitÃ© de Waikato</b>, et est dÃ©veloppÃ© et distribuÃ© en coopÃ©ration avec <b>l'UNESCO</b> et le Projet de <b>BibliothÃšques Humanitaires et de DÃ©veloppement</b>. C'est un logiciel libre (open source) qui est disponible par tÃ©lÃ©chargement du site web <a href="http://greenstone.org">http://greenstone.org</a>, la licence d'utilisation est la licence publique gÃ©nÃ©rale de GNU (GPL).</p>
+
+<p>Le but de ce progiciel est de permettre aux utilisateurs, appartenant en particulier aux universitÃ©s, bibliothÃšques, et autres institutions du service public, de construire leurs propres bibliothÃšques numÃ©riques. Les bibliothÃšques numÃ©riques sont en train de rÃ©volutionner la mÃ©thode de distribution et d'acquisition des connaissances dans les communautÃ©s et institutions partenaires de l'UNESCO autour du monde dans les domaines de l'Ã©ducation, de la science et de la culture, et en particulier dans celles dans les pays en voie de dÃ©veloppement. Nous espÃ©rons que ce progiciel servira Ã  encourager la construction et la diffusion de bibliothÃšques numÃ©riques afin de partager des connaissances et de les placer dans le domaine public.</p>
+
+<p>Ce progiciel est dÃ©veloppÃ© et distribuÃ© grÃ¢ce Ã  un effort de collaboration internationale de trois acteurs, effort qui prit naissance en aoÃ»t 2000.</p>
+
+<p><a href="http://nzdl.org"><b>Le projet de BibliothÃšque NumÃ©rique de Nouvelle-ZÃ©lande Ã  l'UniversitÃ© de Waikato</b></a><br>Le progiciel Greenstone s'est dÃ©veloppÃ© Ã  partir de ce projet, cette initiative a ensuite Ã©tÃ© soutenue par la Sous-Commision pour la Communication de la Commission Nationale de Nouvelle-ZÃ©lande auprÃšs de l'UNESCO en tant que contribution de la Nouvelle-ZÃ©lande au programme de l'UNESCO.</p>
+
+<p><a href="http://www.unesco.org"><img alt="UNESCO logo" src="_httpimg_/unesco.gif" class="logo"></a><a href="http://www.unesco.org"><b>Organisation des Nations Unies pour
+l'Ã©ducation, la science et la culture</b></a><br>La diffusion mondiale de l'information dans les domaines de l'Ã©ducation, de la science et de la culture, et en particulier dans les pays en voie de dÃ©veloppement, est une des missions centrales du programme intergouvernemental de l'UNESCO Â«Information pour tousÂ». D'autre part, une technologie de l'information et de la communication accessible est considÃ©rÃ©e comme un outil essentiel dans ce contexte.</p>
+
+<p><a href=""http://humaninfo.org""><img alt=""Human Info logo"" src="_httpimg_/ghproj2.jpg" class="logo"></a><a href="http://humaninfo.org"><b>L'ONG Â«Human InfoÂ» situÃ©e Ã  Anvers, en Belgique</b></a><br>Ce projet travaillant avec des agences des Nations Unies et d'autres ONG s'est forgÃ© une solide rÃ©putation mondiale en ce qui concerne la numÃ©risation de documents relatifs au dÃ©veloppement humanitaire et aussi pour leur large diffusion, gratuite pour les pays en voie de dÃ©veloppement et Ã  prix coÃ»tant pour les autres.</p>
 }  
 
@@ -502,15 +444,13 @@
 <ul>
 <li>de la structure par dÃ©faut
-<dl><dd>La nouvelle collection peut contenir des documents html (.htm, .html),
-des documents contenant du texte simple, (.txt, .text), des documents en
-format MS WORD (.doc), des documents en format PDF (.pdf) ou des
-documents de type courrier Ã©lectronique (.email).</dd></dl>
+<dl><dd>La nouvelle collection peut contenir des documents dans les formats suivants :
+HTML, texte simple, courrier Ã©lectronique "m-box", PDF, RTF, MS WORD, PostScript, PowerPoint, 
+Excel, images, CDS/ISIS.</dd></dl>
 <li>d'une collection dÃ©jÃ  existante
-<dl><dd>Dans ce cas, les fichiers (documents) de la nouvelle collection
+<dl><dd>Dans ce cas, les fichiers dans la nouvelle collection
 doivent Ãªtre exactement du mÃªme type que ceux qui ont Ã©tÃ© utilisÃ©s pour
-construire la collection existante.
-</dd></dl>
+construire la collection existante.</dd></dl>
 </ul>
-}
+}  
 
 _textbtco_ [l=fr] {DÃ©finir la collection Ã  partir de}
@@ -1164,5 +1104,5 @@
 _textgtitutorials_ [l=fr] {Exercices de travaux pratiques}  
 _textgtigreenorg_ [l=fr] {Greenstone.org}  
-_textgtigs3core_ [l=fr] {Interface Greenstone3 (par dÃ©faut)}  
+_textgtigs3interface_ [l=fr] {L'interface pour Greenstone 3}  
 
 #for greenstone manuals
@@ -1205,6 +1145,6 @@
 
  <ol>
- <li> TÃ©lÃ©charger <a href="_gwcgi_?a=gti&p=excel&e=_compressedoptions_">ce fichier </a>.
- <li> Ouvrez le fichier dans Microsoft Excel (la version Office 2003/XP ou une version plus rÃ©cente est requise) et enregistrez sous le format Microsoft Excel (.xls).
+ <li> TÃ©lÃ©charger <a href="_gwcgi_?a=gti&p=&tct=work&e=_compressedoptions_">ce fichier </a>pour tout le travail qui rest Ã  faire, ou <a href="_gwcgi_?a=gti&p=excel&tct=all&e=_compressedoptions_">ce fichier</a> pour tous les textes faisant partie de ce module.
+ <li> Ouvrez le fichier tÃ©lÃ©chargÃ© dans Microsoft Excel (la version Office 2003/XP ou une version plus rÃ©cente est requise) et enregistrez en format Microsoft Excel (.xls).
  <li> Entrez les traductions dans les cadres prÃ©vus.
  <li> Lorsque vous avez fini de traduire toutes les chaÃ®nes de caractÃšres, envoyez ce fichier .xls par courrier Ã©lectronique Ã  <a href="mailto:_gtiadministratoremail_"> _gtiadministratoremail_</a>.