Index: /gli/trunk/src/org/greenstone/gatherer/greenstone/LocalLibraryServer.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/greenstone/LocalLibraryServer.java	(revision 18649)
+++ /gli/trunk/src/org/greenstone/gatherer/greenstone/LocalLibraryServer.java	(revision 18650)
@@ -45,5 +45,5 @@
     static final private String QUIT_COMMAND = "?a=config&cmd=kill";
 
-    static private GSDLSiteConfig gsdlsite_cfg_file = null;
+    static private LLSSiteConfig llssite_cfg_file = null;
     static private File local_library_server_file = null;
 
@@ -97,6 +97,6 @@
     {
 	if (!running) return false;
-	gsdlsite_cfg_file.load();
-	if (gsdlsite_cfg_file.getURL() == null)  return false;
+	llssite_cfg_file.load();
+	if (llssite_cfg_file.getURL() == null)  return false;
 	return true;
     }
@@ -124,6 +124,6 @@
 
 	// Check if the server is already running
-	gsdlsite_cfg_file = new GSDLSiteConfig(local_library_server_file);
-	String url = gsdlsite_cfg_file.getURL();
+	llssite_cfg_file = new LLSSiteConfig(local_library_server_file);
+	String url = llssite_cfg_file.getURL();
 	if (url != null) {
 	    // If it is already running then set the Greenstone web server address and we're done
@@ -139,16 +139,16 @@
 
 	// Configure the server for immediate entry
-	//gsdlsite_cfg_file.set();
+	//llssite_cfg_file.set();
 
 	// Spawn local library server process
-	String local_library_server_command = local_library_server_file.getAbsolutePath() + " " + gsdlsite_cfg_file.getSiteConfigFilename();
+	String local_library_server_command = local_library_server_file.getAbsolutePath() + " " + llssite_cfg_file.getSiteConfigFilename();
 	Gatherer.spawnApplication(local_library_server_command);
 
 	// Wait until program has started, by reloading and checking the URL field
-	gsdlsite_cfg_file.load();
+	llssite_cfg_file.load();
 	int attempt_count = 0;
-	while (gsdlsite_cfg_file.getURL() == null) {
+	while (llssite_cfg_file.getURL() == null) {
 	    new OneSecondWait();  // Wait one second (give or take)
-	    gsdlsite_cfg_file.load();
+	    llssite_cfg_file.load();
 	    attempt_count++;
 
@@ -165,5 +165,5 @@
 	// Ta-da. Now the url should be available
 	try {
-	    Configuration.library_url = new URL(gsdlsite_cfg_file.getURL());
+	    Configuration.library_url = new URL(llssite_cfg_file.getURL());
 	}
 	catch (MalformedURLException exception) {
@@ -180,5 +180,5 @@
 	    try {
 		// If this fails then we try changing the url to be localhost
-		Configuration.library_url = new URL(gsdlsite_cfg_file.getLocalHostURL());
+		Configuration.library_url = new URL(llssite_cfg_file.getLocalHostURL());
 		DebugStream.println("Try connecting to server on local host: '" + Configuration.library_url + "'");
 		URLConnection connection = Configuration.library_url.openConnection();
@@ -206,9 +206,9 @@
 
 	// Wait until program has stopped, by reloading and checking the URL field
-	gsdlsite_cfg_file.load();
+	llssite_cfg_file.load();
 	int attempt_count = 0;
-	while (gsdlsite_cfg_file.getURL() != null) {
+	while (llssite_cfg_file.getURL() != null) {
 	    new OneSecondWait();  // Wait one second (give or take)
-	    gsdlsite_cfg_file.load();
+	    llssite_cfg_file.load();
 	    attempt_count++;
 
@@ -223,9 +223,9 @@
 	}
 
-	// Restore the gsdlsite_cfg.
-	gsdlsite_cfg_file.restore();
+	// Restore the llssite_cfg.
+	llssite_cfg_file.restore();
 
 	// If the local server is still running then our changed values will get overwritten.
-	if (gsdlsite_cfg_file.getURL() != null) {
+	if (llssite_cfg_file.getURL() != null) {
 	    JOptionPane.showMessageDialog(Gatherer.g_man, Dictionary.get("Server.QuitManual"), Dictionary.get("General.Error"), JOptionPane.ERROR_MESSAGE);
 	}
@@ -236,11 +236,11 @@
     static public void checkServerRunning() {
 	if (!running) return; // don't worry about it if its not supposed to be running 
-	gsdlsite_cfg_file.load();
-	if (gsdlsite_cfg_file.getURL() == null) {
+	llssite_cfg_file.load();
+	if (llssite_cfg_file.getURL() == null) {
 	    // need to restart the server again
-	    gsdlsite_cfg_file.set();
+	    llssite_cfg_file.set();
 
 	    // Spawn local library server process
-	    String local_library_server_command = local_library_server_file.getAbsolutePath() + " " + gsdlsite_cfg_file.getSiteConfigFilename();
+	    String local_library_server_command = local_library_server_file.getAbsolutePath() + " " + llssite_cfg_file.getSiteConfigFilename();
 	    Gatherer.spawnApplication(local_library_server_command);
 
@@ -262,7 +262,7 @@
 
 
-    static public class GSDLSiteConfig
+    static public class LLSSiteConfig
 	extends LinkedHashMap {
-	private File gsdlsite_cfg;
+	private File llssite_cfg;
 	private File glisite_cfg;
 	private String autoenter_initial;
@@ -275,5 +275,5 @@
 	static final private String GLISITE_CFG = "glisite.cfg";
 	static final private String GSDL = "gsdl";
-	static final private String GSDLSITE_CFG = "gsdlsite.cfg";
+	static final private String LLSSITE_CFG = "llssite.cfg";
 	static final private String LOCAL_HOST = "http://localhost"; 
 	static final private String PORTNUMBER = "portnumber";
@@ -284,8 +284,8 @@
 	static final private String URL = "url";
 
-	public GSDLSiteConfig(File server_exe) {
-	    debug("New GSDLSiteConfig for: " + server_exe.getAbsolutePath());
+	public LLSSiteConfig(File server_exe) {
+	    debug("New LLSSiteConfig for: " + server_exe.getAbsolutePath());
 	    
-	    gsdlsite_cfg = new File(server_exe.getParentFile(), GSDLSITE_CFG);
+	    llssite_cfg = new File(server_exe.getParentFile(), LLSSITE_CFG);
 	    glisite_cfg = new File(server_exe.getParentFile(), GLISITE_CFG);
 
@@ -293,8 +293,8 @@
 	    if(glisite_cfg.exists()) {
 		configFile = glisite_cfg;
-	    } else if(gsdlsite_cfg.exists()) {
-		configFile = gsdlsite_cfg;
+	    } else if(llssite_cfg.exists()) {
+		configFile = llssite_cfg;
 	    } else {
-		debug("Neither the file glisite.cfg nor GSDLsite.cfg can be found!");
+		debug("Neither the file glisite.cfg nor llssite.cfg can be found!");
 	    }
 	    
@@ -329,5 +329,5 @@
 	
 	public boolean exists() {
-	    return gsdlsite_cfg.exists();
+	    return llssite_cfg.exists();
 	}
 
@@ -449,8 +449,8 @@
 
 	private void save() {
-	    //debug("Save: " + gsdlsite_cfg.getAbsolutePath());
+	    //debug("Save: " + llssite_cfg.getAbsolutePath());
 	    debug("Save: " + glisite_cfg.getAbsolutePath());
 	    try {
-		//BufferedWriter out = new BufferedWriter(new FileWriter(gsdlsite_cfg, false));
+		//BufferedWriter out = new BufferedWriter(new FileWriter(llssite_cfg, false));
 		BufferedWriter out = new BufferedWriter(new FileWriter(glisite_cfg, false));
 		for(Iterator keys = keySet().iterator(); keys.hasNext(); ) {