Index: /greenstone3/trunk/src/java/org/greenstone/server/Server3Settings.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/server/Server3Settings.java	(revision 18666)
+++ /greenstone3/trunk/src/java/org/greenstone/server/Server3Settings.java	(revision 18667)
@@ -66,114 +66,7 @@
 	comb_panel.add(servlet_label);
 	comb_panel.add(servlet_combobox);
-	comb_panel.setBackground(bg_color);
 
 	return comb_panel;
     }
 
-
-
-    private class BrowseActionListener 
- 	implements ActionListener {
-	
-	public void actionPerformed(ActionEvent ev) {
-	    JFileChooser chooser = new JFileChooser();
-           int returnVal = chooser.showOpenDialog(self);        
-	   
-	    if(returnVal == JFileChooser.APPROVE_OPTION) {
-                File program_path = chooser.getSelectedFile();
-		program_path_field.setText(program_path.getPath());
-	    } 
-	}
-
-     }
-
-    private class BrowserSelectionListener 
- 	implements ActionListener {
-	
-	public void actionPerformed(ActionEvent ev) {
-	    if (default_browser_button.isSelected()){
-		program_path_field.setEnabled(false);
-                browse_button.setEnabled(false);
-	    }
-            else{
-		program_path_field.setEnabled(true);
-                browse_button.setEnabled(true);
-	    }
-	}
-
-     }
-    
-
-    private class SaveActionListener
-	implements ActionListener {
-	
-	public void actionPerformed(ActionEvent ev) {
-	    // save everything to build_properties if things have changed
-	     boolean has_changed = false;
-             boolean require_restart = false;
-	    if (portNum != ((Integer)portNumber_spinner.getValue()).intValue()) {
-		has_changed = true;
-                require_restart = true; 
-                server.reconfigRequired();
-                portNum = ((Integer)portNumber_spinner.getValue()).intValue();
-             	logger.info("port changed, new port is "+portNumber_spinner.getValue());
-	    }
-	    if (autoStart != autoEnter.isSelected()) {
-            	has_changed = true;
-	    }
-	    if (!servletDefault.equals(servlet_combobox.getSelectedItem())) {
-         	has_changed = true;
-                require_restart = true; 
-	    }
-            //changed to use other browser
-            if (useDefaultBrowser && other_browser_button.isSelected()){
-		browserPath = program_path_field.getText();
-		has_changed = true;
-	    } 
-	    //the browser path has been changed 
-	    if ( !useDefaultBrowser && !browserPath.equals(program_path_field.getText())){
-		browserPath = program_path_field.getText();
-		 has_changed = true;
-	    }
-	    
-            //changed to use the default browser
-	    if ( default_browser_button.isSelected() && !useDefaultBrowser){
-		browserPath = "";
-		has_changed = true;
-	    }
-             
-
-	    if (has_changed) {
-		ArrayList oldFileLines = null;
-		ArrayList newFileLines = null;
-		
-		ScriptReadWrite scriptReadWrite = new ScriptReadWrite();
-		oldFileLines = scriptReadWrite.readInFile(BaseServer.build_properties_file);
-		
-		newFileLines = scriptReadWrite.queryReplace(oldFileLines, BaseServer.Property.WEB_PORT, portNum+"");
-		
-		String newAutoEnter = (new Boolean(autoEnter.isSelected())).toString();
-		newFileLines = scriptReadWrite.queryReplace(newFileLines, BaseServer.Property.AUTOSTART, newAutoEnter);
-		
-		String newServletDef = (String) servlet_combobox.getSelectedItem();
-		newFileLines = scriptReadWrite.queryReplace(newFileLines,BaseServer.Property.DEFAULT_SERVLET, (String) url_mappings.get(newServletDef));
-
-		String osName = System.getProperty("os.name");
-                if (osName.startsWith("Windows")){
-		    browserPath = browserPath.replaceAll("\\\\","/");
-		}
-                 newFileLines = scriptReadWrite.queryReplace(newFileLines,BaseServer.Property.BROWSER_PATH, browserPath);
-
-		scriptReadWrite.writeOutFile(BaseServer.build_properties_file,
-					     newFileLines);
-		server.reloadBuildProperties();
-		if (require_restart){
-		    JOptionPane.showMessageDialog(null,server.dictionary.get("ServerSetting.SettingChanged"),"Info", JOptionPane.INFORMATION_MESSAGE);
-		}
-	    } 
-
-	    self.dispose();
-	}
-    }
-
 }