Index: gsdl/trunk/lib/java/build.properties
===================================================================
--- gsdl/trunk/lib/java/build.properties	(revision 18683)
+++ gsdl/trunk/lib/java/build.properties	(revision 18683)
@@ -0,0 +1,19 @@
+## Apache webserver installation
+#Set this to the internet/intranet name of the machine that the Apache webserver is/will be run on. When using Tomcat, localhost is fine for accessing the server from the local machine, but not remotely. For an Apache webserver setting this to localhost will not prevent its remote access.
+apache.server=localhost
+
+# The port number that the Apache webserver is/will be run on
+apache.port=8080
+
+
+## Greenstone 2 server program options
+# does running the server automatically start up Tomcat and a browser
+server.auto.start=false
+
+
+# default servlet to start with
+server.default.servlet=/library
+
+##Browser setup
+browser.path=
+
Index: gsdl/trunk/lib/java/log4j.properties.in
===================================================================
--- gsdl/trunk/lib/java/log4j.properties.in	(revision 18683)
+++ gsdl/trunk/lib/java/log4j.properties.in	(revision 18683)
@@ -0,0 +1,60 @@
+## greenstone home 
+gsdl2.home=@gsdl2home@
+
+##Configure log4j's operation at the meta level                              
+##Observe log4j parsing this file
+#log4j.debug=true
+##Set this to false for log4j to actually obey the log4j.disable property(next)
+log4j.disableOverride=false
+##Disable all logging in all categories for messages with priority equal to
+##or lower than the one given here
+log4j.disable=DEBUG
+
+#####configure the loggers####
+##general logger                                                   
+log4j.rootCategory=INFO, infolog
+
+##usage logger
+log4j.category.org.greenstone.gsdl3.LibraryServlet=INFO, usagelog
+log4j.additivity.org.greenstone.gsdl3.LibraryServlet=false
+
+##server logger
+log4j.category.org.greenstone.server=INFO, serverlog
+log4j.additivity.org.greenstone.server=false
+
+#####configure appenders and their oprions####                                  
+##general logger
+log4j.appender.infolog=org.apache.log4j.RollingFileAppender
+log4j.appender.infolog.File=${gsdl2.home}/logs/greenstone.log
+#Control the maximum log file size
+log4j.appender.infolog.MaxFileSize=100KB
+#Keep backup file(s) (backups will be in filename.1, .2, .3 etc.)
+log4j.appender.infolog.MaxBackupIndex=3
+
+##usage logger
+log4j.appender.usagelog=org.apache.log4j.RollingFileAppender
+log4j.appender.usagelog.File=${gsdl2.home}/logs/usage.log
+#Control the maximum log file size
+log4j.appender.usagelog.MaxFileSize=1000KB
+
+##Server's logger
+log4j.appender.serverlog=org.apache.log4j.RollingFileAppender
+log4j.appender.serverlog.File=${gsdl2.home}/logs/server.log
+
+
+#####Configure appender layouts and their options#### 
+## general logger layout
+log4j.appender.infolog.layout=org.apache.log4j.PatternLayout
+log4j.appender.infolog.layout.ConversionPattern=%-5p: [%d{yyyy-MM-dd hh:mm:ss}] %C{1}.%M()%n %m%n
+
+##usage logger layout
+# Usage log contains:                                                        
+#      loggingTime + servletName + args (in URL plus saved in a session) +  
+#      remoteAddress + sessionID + browerInfo                               
+log4j.appender.usagelog.layout=org.apache.log4j.PatternLayout
+log4j.appender.usagelog.layout.ConversionPattern=[%d{yyyy-MM-dd hh:mm:ss}] %m%n
+
+##server logger layout
+log4j.appender.serverlog.layout=org.apache.log4j.PatternLayout
+log4j.appender.serverlog.layout.ConversionPattern=%-5p: [%d{yyyy-MM-dd hh:mm:ss}] %C{1}.%M()%n %m%n
+
Index: gsdl/trunk/lib/java/server.properties
===================================================================
--- gsdl/trunk/lib/java/server.properties	(revision 18683)
+++ gsdl/trunk/lib/java/server.properties	(revision 18683)
@@ -0,0 +1,33 @@
+ServerSettings.Title=Server settings
+ServerSettings.Tomcat_Port=Tomcat port:
+ServerSettings.Servlet=Servlet:
+ServerSettings.Auto_Start=Enter the library automatically
+ServerSettings.OK=OK
+ServerSettings.Cancel=Cancel
+ServerSettings.DefaultBrowser=Default browser
+ServerSettings.OtherBrowser=Other browser
+ServerSettings.ChooseBrowser=Enter library using:
+ServerSettings.Browse=Browse
+ServerSettings.Library_Prefix=Library URL prefix:
+
+ServerControl.EnterLibrary=Enter Library
+ServerControl.RestartLibrary=Restart Library
+ServerControl.StartServer=Start Server
+ServerControl.Version=Version 2-trunk
+ServerControl.Frame_Title=Greenstone Server
+ServerControl.Title=Greenstone 2 Digital Library
+ServerControl.Help_RestartLibrary=Press the 'Restart Library' button to restart the server, launch a browser and enter the library
+ServerControl.Help_EnterLibrary=Press the 'Enter Library' button to launch a browser and enter the library
+ServerControl.Starting=Starting server...
+ServerControl.Configuring=Configuring server...
+ServerControl.Stopping=Stopping server...
+ServerControl.LaunchingBrowser=Launching browser...
+ServerControl.LaunchBrowser=Launch browser
+ServerControl.Menu.File=File
+ServerControl.Menu.Settings=Settings...
+ServerControl.Menu.Exit=Exit
+ServerControl.Error={0} failed, please check server.log in {1}/logs for details. 
+ServerControl.Falied={0} failed
+ServerControl.Success={0} success
+greenstone.version=Version 2-trunk
+ServerSetting.SettingChanged=The new settings will be avaliable after the server restarted