Index: /gsdl/trunk/collect/demo/etc/collect.cfg
===================================================================
--- /gsdl/trunk/collect/demo/etc/collect.cfg	(revision 18717)
+++ /gsdl/trunk/collect/demo/etc/collect.cfg	(revision 18718)
@@ -56,13 +56,63 @@
 # -- French strings ----------------
 collectionmeta	collectionname [l=fr] "DÃ©mo Greenstone"
-collectionmeta	collectionextra [l=fr] "Il s\'agit d\'une collection de dÃ©monstration pour le logiciel Greenstone. Elle contient seulement un petit Ã©chantillon des BibliothÃšques humanitaires pour le DÃ©veloppement (11 documents)."
+collectionmeta	collectionextra [l=fr] "Il s'agit d'une collection de dÃ©monstration pour le logiciel de bibliothÃšque numÃ©rique Greenstone.\nElle contient un petit Ã©chantillon (11 documents) de la BibliothÃšque de DÃ©veloppement de l'HumanitÃ©."
+
+collectionmeta .text [l=fr] "texte"
+collectionmeta .dls.Title,Title [l=fr] "titres"
+collectionmeta .dls.Subject [l=fr] "sujets"
+collectionmeta .dls.Organization [l=fr] "organisations"
+collectionmeta .dls.Keyword [l=fr] "comment faire"
+collectionmeta .document [l=fr] "livre"
+collectionmeta .section [l=fr] "chÃ¢pitre"
 
 # -- Spanish strings ----------------
 collectionmeta	collectionname [l=es] "ColecciÃ³n de muestra Greenstone"
-collectionmeta	collectionextra [l=es] "Esta es una colecciÃ³n de demostraciÃ³n del programa Greenstone. Contiene un pequeÃ±o subconjunto (11 documentos) de las Bibliotecas Humanitarias para el Desarrollo."
+collectionmeta	collectionextra [l=es] "Esta es una colecciÃ³n de demostraciÃ³n del programa Greenstone.\nContiene un pequeÃ±o subconjunto (11 documentos) de la Biblioteca para el Desarrollo Humano."
+
+collectionmeta .text [l=es] "texo"
+collectionmeta .dls.Title,Title [l=es] "tÃ­tulos"
+collectionmeta .dls.Subject [l=es] "temas"
+collectionmeta .dls.Organization [l=es] "organizaciones"
+collectionmeta .dls.Keyword [l=es] "cÃ³mo"
+collectionmeta .document [l=es] "libro"
+collectionmeta .section [l=es] "capÃ­tulo"
 
 # -- Russian strings ----------------
-collectionmeta	collectionname [l=ru] "ÐŽÐµÐŒÐŸÐœÑÑÑÐ°ÑÐžÐŸÐœÐœÑÐ¹ Ð¿ÑÐžÐŒÐµÑ Greenstone"
-collectionmeta	collectionextra [l=ru] "Ð­ÑÐŸ - ÐŽÐµÐŒÐŸÐœÑÑÑÐ°ÑÐžÐŸÐœÐœÐ°Ñ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ Ð¿ÑÐŸÐ³ÑÐ°ÐŒÐŒÐœÐŸÐ³ÐŸ ÐŸÐ±ÐµÑÐ¿ÐµÑÐµÐœÐžÑ ÑÐžÑÑÐŸÐ²ÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž Greenstone. ÐÐœÐ° ÑÐŸÐŽÐµÑÐ¶ÐžÑ ÐœÐµÐ±ÐŸÐ»ÑÑÐŸÐ¹ Ð¿ÐŸÐŽÐœÐ°Ð±ÐŸÑ (11 ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ²) ÐÑÐŒÐ°ÐœÐžÑÐ°ÑÐœÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž Ðž ÐÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž ÑÐ°Ð·Ð²ÐžÑÐžÑ."
+collectionmeta	collectionname [l=ru] "ÐŽÐµÐŒÐŸÐœÑÑÑÐ°ÑÐžÐŸÐœÐœÑÐ¹ Ð¿ÑÐžÐŒÐµÑ ÐÑÐžÐœÑÑÐŸÑÐœ"
+collectionmeta	collectionextra [l=ru] "Ð­ÑÐŸ - ÐŽÐµÐŒÐŸÐœÑÑÑÐ°ÑÐžÐŸÐœÐœÐ°Ñ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ Ð¿ÑÐŸÐ³ÑÐ°ÐŒÐŒÐœÐŸÐ³ÐŸ ÐŸÐ±ÐµÑÐ¿ÐµÑÐµÐœÐžÑ ÑÐžÑÑÐŸÐ²ÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž ÐÑÐžÐœÑÑÐŸÑÐœ. ÐÐœÐ° ÑÐŸÐŽÐµÑÐ¶ÐžÑ ÐœÐµÐ±ÐŸÐ»ÑÑÐŸÐ¹ Ð¿ÐŸÐŽÐœÐ°Ð±ÐŸÑ (11 ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ²) ÐÑÐŒÐ°ÐœÐžÑÐ°ÑÐœÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž ÑÐ°Ð·Ð²ÐžÑÐžÑ."
+collectionmeta .text [l=ru] "ÑÐµÐºÑÑ"
+collectionmeta .dls.Title,Title [l=ru] "Ð·Ð°Ð³ÐŸÐ»ÐŸÐ²ÐºÐž"
+collectionmeta .dls.Subject [l=ru] "ÑÐºÐ°Ð·Ð°ÑÐµÐ»Ðž"
+collectionmeta .dls.Organization [l=ru] "ÐŸÑÐ³Ð°ÐœÐžÐ·Ð°ÑÐžÐž"
+collectionmeta .dls.Keyword [l=ru] "ÑÐ¿ÐŸÑÐŸÐ±Ñ"
+collectionmeta .document [l=ru] "ÐºÐœÐžÐ³Ð°"
+collectionmeta .section [l=ru] "Ð³Ð»Ð°Ð²Ð°"
+
+# -- Arabic strings ----------------
+collectionmeta	collectionname [l=ar] "Ù
+Ø¬Ù
+ÙØ¹Ø© Ø¬Ø±ÙÙØ³ØªÙÙ Ø§ÙØªÙØ¶ÙØ­ÙØ©"
+collectionmeta	collectionextra [l=ar] "ÙØ°Ù Ù
+Ø¬Ù
+ÙØ¹Ø© ØªÙØ¶ÙØ­ÙØ© ÙØšØ±Ù
+Ø¬ÙØ§Øª Ø¬Ø±ÙÙØ³ØªÙÙ ÙÙÙ
+ÙØªØšØ© Ø§ÙØ±ÙÙ
+ÙØ©.\nØªØªØ¶Ù
+Ù Ù
+Ø¬Ù
+ÙØ¹Ø© ÙØ±Ø¹ÙØ© ØµØºÙØ±Ø© (11 ÙØ«ÙÙØ©) Ù
+Ù Ù
+ÙØªØšØ© Ø§ÙØªÙÙ
+ÙØ© Ø§ÙØšØŽØ±ÙØ©."
+collectionmeta .text [l=ar] "ÙØµ"
+collectionmeta .dls.Title,Title [l=ar] "Ø§ÙØ¹ÙØ§ÙÙÙ"
+collectionmeta .dls.Subject [l=ar] "Ø§ÙÙ
+ÙØ¶ÙØ¹Ø§Øª"
+collectionmeta .dls.Organization [l=ar] "Ø§ÙÙ
+ÙØžÙ
+Ø§Øª"
+collectionmeta .dls.Keyword [l=ar] "Ø¥Ø±ØŽØ§Ø¯"
+collectionmeta .document [l=ar] "ÙØªØ§Øš"
+collectionmeta .section [l=ar] "ÙØµÙ"
 
 # -- Armenian strings ----------------
@@ -76,2 +126,46 @@
 collectionmeta	collectionextra [l=sk] "Toto je predvÃ¡dzacia zbierka softvÃ©ru digitÃ¡lnej kniÅŸnice Greenstone, ktorÃ¡ obsahuje 11 dokumentov."
 
+# -- Brazilian Portuguese strings ----------------
+collectionmeta	collectionname [l=pt-br] "Demo do Greenstone"
+collectionmeta	collectionextra [l=pt-br] "Esta Ã© uma coleÃ§Ã£o de demonstraÃ§Ã£o para o software de biblioteca digital Greenstone. \nEle contÃ©m um pequeno subconjunto (11 documentos) da Biblioteca de Desenvolvimento Humano."
+
+collectionmeta .text [l=pt-br] "texto"
+collectionmeta .dls.Title,Title [l=pt-br] "tÃ­tulos"
+collectionmeta .dls.Subject [l=pt-br] "assuntos"
+collectionmeta .dls.Organization [l=pt-br] "organizaÃ§Ãµes"
+collectionmeta .dls.Keyword [l=pt-br] "como fazer"
+
+collectionmeta .document [l=pt-br] "livro"
+collectionmeta .section [l=pt-br] "capÃ­tulo"
+
+
+# -- Thai strings ----------------
+collectionmeta	collectionname [l=th] "àžàž²àž£àžªàž²àžàžŽàžàžàž²àž£à¹àžà¹àžàž²àžà¹àžàž£à¹àžàž£àž¡àžàž£àžµàžàžªà¹àžàž"
+collectionmeta	collectionextra [l=th] "àžàž­àž¥à¹àž¥àžàžàž±àžàžàžµà¹à¹àžà¹àžàžàž­àž¥à¹àž¥àžàžàž±àžàžªàž²àžàžŽàžàžàž­àžàžàž­àžàžà¹à¹àž§àž£à¹àž«à¹àž­àžàžªàž¡àžžàžàžàžŽàžàžŽàžàž±àž¥àžàž£àžµàžà¹àžàž\nIt àžàž¶à¹àžàžàž£àž°àžàž­àžàžà¹àž§àž¢àžàžžàžàžà¹àž­àž¡àž¹àž¥àž¢à¹àž­àž¢àžàžàž²àžà¹àž¥à¹àžàžàž³àžàž§àžàž«àžàž¶à¹àžàžàžžàž (à¹àž­àžàžªàž²àž£àžàž³àžàž§àž 11 àžàžàž±àž) àžàž­àžàž«à¹àž­àžàžªàž¡àžžàžà¹àžàž·à¹àž­àžàž²àž£àžàž±àžàžàž²àž¡àžàžžàž©àž¢àžàž²àžàžŽ (Humanity Development Library)"
+
+collectionmeta .text [l=th] "àžà¹àž­àžàž§àž²àž¡"
+collectionmeta .dls.Title,Title [l=th] "àžàž·à¹àž­à¹àž£àž·à¹àž­àž"
+collectionmeta .dls.Subject [l=th] "àž«àž±àž§à¹àž£àž·à¹àž­àž"
+collectionmeta .dls.Organization [l=th] "àž«àžà¹àž§àž¢àžàž²àž"
+collectionmeta .dls.Keyword [l=th] "àž§àžŽàžàžµà¹àžà¹"
+
+collectionmeta .document [l=th] "àž«àžàž±àžàžªàž·àž­"
+collectionmeta .section [l=th] "àžàž"
+
+
+# -- Simplified Chinese strings ----------------
+collectionmeta	collectionname [l=zh] "ç»¿å®ç³ç³»ç»æŒç€ºæ¶è"
+collectionmeta	collectionextra [l=zh] "è¿æ¯äžäžªç»¿å®ç³æ°å­åŸä¹ŠéŠç³»ç»çæŒç€ºæ¶èã\nå®å
+å«äºäººç±»åå±åŸä¹ŠéŠïŒHumanity Development LibraryïŒçäžäžªå°å­éïŒ11äžªææ¡£ïŒã"
+
+collectionmeta .text [l=zh] "ææ¬"
+collectionmeta .dls.Title,Title [l=zh] "é¢å"
+collectionmeta .dls.Subject [l=zh] "äž»é¢"
+collectionmeta .dls.Organization [l=zh] "æºæ"
+collectionmeta .dls.Keyword [l=zh] "åŠäœ"
+
+collectionmeta .document [l=zh] "ä¹Š"
+collectionmeta .section [l=zh] "ç« "
+
+
+