Index: release-kits/shared/greenstone2/docs/SUPPORT.txt
===================================================================
--- release-kits/shared/greenstone2/docs/Support.htm	(revision 16227)
+++ release-kits/shared/greenstone2/docs/SUPPORT.txt	(revision 18755)
@@ -1,142 +1,17 @@
-<html>
-<head>
-<title>Bug Report</title>
-</head>
-<body bgcolor="#ffffff" text="#000000" link="#006666" 
-      alink="#cc9900" vlink="#666633">
+GREENSTONE SUPPORT
 
-<table width=100%><tr>
-<td><h2>Problem Report</h2></td>
-<td align="right"><img src="docs/images/gsdl.gif"></td></tr>
-</table>
+A complete list of Greenstone support options is available at:
+http://www.greenstone.org/support
 
-<hr>
+Documentation Manuals are available on CD-ROM releases of Greenstone in the
+"Documentation" folder.
 
-<p>If you have an internet connection please fill out and submit this form (using the
-submit button at the bottom of the page).
+To submit bug reports, follow these steps:
 
-<p>If you don't have an internet connection please print this form, fill it out
-(legibly!) and mail it to:
-<p>Greenstone Digital Library,<br>
-Department of Computer Science,<br>
-University of Waikato,<br>
-Hamilton,<br>
-New Zealand.
+	1.	Register as a developer to gain access to Greenstone's bug tracking
+		system at http://www.greenstone.org/developers-register
+	2.	Go to http://trac.greenstone.org/ in your web browser and click "login"
+		near the top of the screen. Login with your username and password.
+	3.	Click on "New Ticket" near the top of the screen and fill in the Create
+		New Ticket form.
 
-<p><b>Note that only one problem should be stated per problem report form.</b>
-
-<p><hr>
-
-<form name=gsdlbugs method=post action="http://www.nzdl.org/cgi-bin/gsdlbugs">
-<p><h3>CUSTOMER INFORMATION</h3>
- 
-<table>
-<tr><td align="right">date [dd/mm/yyyy]:</td><td><input type="text" name="date" value="" size="11"></td></tr>
-<tr><td align="right">email address:</td><td><input type="text" name="email" value="" size="40"></td></tr>
-<tr><td align="right">first name:</td><td><input type="text" name="first name" value="" size="40"></td></tr>
-<tr><td align="right">last name:</td><td><input type="text" name="last name" value="" size="40"></td></tr>
-<tr><td align="right">company:</td><td><input type="text" name="company" value="" size="40"></td></tr>
-<tr><td align="right">phone number:</td><td><input type="text" name="phone" value="" size="20"></td></tr>
-<tr><td align="right">fax number:</td><td><input type="text" name="fax" value="" size="20"></td></tr>
-<tr><td valign="top" align="right">address:</td><td><textarea name="address" cols="55" rows="8"></textarea></td></tr>
-</table>
-
-<p><hr>
-<h3>SYSTEM INFORMATION</h3>
-
-Greenstone Digital Library version: 2.80<br>
-<input type=hidden name="gsdl version" value="2.80">
-
-<p>type of Greenstone installation: <select name="installation type">
-<option selected>Web library
-<option>Local library
-<option>Don't know
-</select> 
-
-<p>operating system: <select name="operating system">
-<option>Linux
-<option selected>Windows XP
-<option>Windows 2000
-<option>Windows ME
-<option>Windows 98
-<option>Windows 95
-<option>Windows NT
-<option>Windows 3.11
-<option>Windows 3.1
-<option>other (please specify below)
-</select>
-other: <input type="text" name="otheros" value="" size="20"><p>
-
-CPU (type and speed): <input type="text" name="cpu" size="30"><br>
-memory installed (Mb): <input type="text" name="memory" size="6"><p>
-
-have you got an internet connection?: <select name="internet connection">
-<option selected>yes
-<option>no
-</select><p>
-
-browser: <select name="browser">
-<option>Netscape 7
-<option>Netscape 6
-<option>Netscape 4.5
-<option>Netscape 4
-<option>Netscape 3
-<option>Netscape 2
-<option selected>Internet Explorer 6
-<option>Internet Explorer 5.5
-<option>Internet Explorer 5
-<option>Internet Explorer 4
-<option>Internet Explorer 3
-<option>Internet Explorer 2
-<option>Mozilla
-<option>other (please specify below)
-</select>
-other: <input type="text" name="otherbrowser" value="" size="20"><p>
-
-was your browser provided by an Internet Service Provider?: <select name="ISP browser">
-<option>yes
-<option>no
-<option selected>don't know
-</select>
-<p>
-
-is your browser configured to use a proxy?: <select name="using proxy">
-<option>yes
-<option>no
-<option selected>don't know
-</select>
-<p>
-
-
-
-<p><hr>
-<h3>PROBLEM DESCRIPTION</h3>
-
-problem type: <select name="problem type">
-<option>question
-<option selected>suggested enhancement
-<option>problem/error
-<option>other
-</select>
-
-<p>can the problem be reproduced at will?: <select name="can reproduce">
-<option>yes
-<option>no
-<option selected>not relevant
-</select>
-
-<p>short problem description: <input type="text" name="short description" value="" size="50">
-
-<p>detailed problem description: 
-
-<br><i>Please go into as much detail as possible. 
-Make sure you describe all steps leading
-up to the problem and include any relevant URLs.</i><p>
-<textarea cols="90" rows="30" name="description" wrap></textarea>
-
-<p>
-<input type="submit" value="submit report">
-
-</form>
-</body>
-</html>