Index: release-kits/lirk2/ant-scripts/compile.xml
===================================================================
--- release-kits/lirk2/ant-scripts/compile.xml	(revision 18755)
+++ release-kits/lirk2/ant-scripts/compile.xml	(revision 18765)
@@ -55,5 +55,5 @@
 
 	<target name="run-configure">
-		<exec dir="${basedir}/compiled" executable="${basedir}/compiled/configure">
+		<exec dir="${basedir}/compiled" executable="${basedir}/compiled/configure" failonerror="true">
 			<arg line="--enable-apache-httpd"/>
 			<env key="LDFLAGS" value="-static"/>
@@ -81,19 +81,19 @@
 
 	<target name="run-make">
-		<exec dir="${basedir}/compiled" executable="make"/>
+		<exec dir="${basedir}/compiled" executable="make" failonerror="true"/>
 	</target>
 
 
 	<target name="run-make-install">
-		<exec dir="${basedir}/compiled" executable="make"><arg value="install"/></exec>
+		<exec dir="${basedir}/compiled" executable="make" failonerror="true"><arg value="install"/></exec>
 	</target>
 
 	<target name="copy-library-oai">
-		<exec executable="mv"><arg line="${basedir}/compiled/cgi-bin/library.cgi ${basedir}/compiled/bin/linux/library.cgi"/></exec>
-		<exec executable="mv"><arg line="${basedir}/compiled/cgi-bin/oaiserver.cgi ${basedir}/compiled/bin/linux/oaiserver.cgi"/></exec>
+		<exec executable="mv" failonerror="true"><arg line="${basedir}/compiled/cgi-bin/library.cgi ${basedir}/compiled/bin/linux/library.cgi"/></exec>
+		<exec executable="mv" failonerror="true"><arg line="${basedir}/compiled/cgi-bin/oaiserver.cgi ${basedir}/compiled/bin/linux/oaiserver.cgi"/></exec>
 	</target>
 
 	<target name="strip-execs">
-		<exec dir="${basedir}/compiled/bin/linux" executable="find">
+		<exec dir="${basedir}/compiled/bin/linux" executable="find" failonerror="true">
 			<arg line="! -name . -type f -maxdepth 1 -exec strip {} &#59;"/>
 		</exec>
@@ -101,5 +101,5 @@
 
 	<target name="build-demo-collection">
-		<exec dir="${basedir}/compiled" executable="${lirk2.home}/resources/build-demo.sh"/>
+		<exec dir="${basedir}/compiled" executable="${lirk2.home}/resources/build-demo.sh" failonerror="true"/>
 	</target>
 
Index: release-kits/lirk2/ant-scripts/create-components.xml
===================================================================
--- release-kits/lirk2/ant-scripts/create-components.xml	(revision 18755)
+++ release-kits/lirk2/ant-scripts/create-components.xml	(revision 18765)
@@ -8,4 +8,5 @@
 		<antcall target="prepare-components" />
 		<antcall target="compress-components" />
+		<antcall target="produce-cd-components"/>
 	</target>
 
@@ -14,7 +15,6 @@
 		<antcall target="prepare-core-component" />
 		<antcall target="prepare-imagemagick-component" />
-
+		
 		<antcall target="prepare-sourcecode-component" />
-
 	</target>
 
@@ -50,4 +50,5 @@
 				<exclude name="acconfig.h"/>
 				<exclude name="aclocal.m4"/>
+				<exclude name="config.guess"/>
 				<exclude name="config.sub"/>
 				<exclude name="configtest.pl"/>
@@ -101,5 +102,5 @@
 
 	</target>
-		
+	
 	<target name="compress-sourcecode-component">
 		<sevenzip task="encode" input="components/sourcecode.comp" output="components/sourcecode.lzma" dictionnary="26"/>
@@ -125,3 +126,65 @@
 	</target>
 
+	<!--
+		cd components
+		produce components for cdrom distributions, to be picked up and used by cdrk2 release kit
+		split components into linux only files (linux) and general files (all)
+	-->
+	<target name="produce-cd-components">
+		<delete dir="components/tmp/cdrom"/>
+		<mkdir dir="components/tmp/cdrom"/>
+
+		<!-- core -->
+		<mkdir dir="components/tmp/cdrom/core/all"/>
+		<mkdir dir="components/tmp/cdrom/core/linux"/>
+		<copy todir="components/tmp/cdrom/core/all" overwrite="true">
+			<fileset dir="components/tmp/core"/>
+		</copy>
+		<move todir="components/tmp/cdrom/core/linux" overwrite="true">
+			<fileset dir="components/tmp/cdrom/core/all">
+				<include name="bin/linux"/>
+				<include name="bin/linux/**/*"/>
+				<include name="bin/windows"/>
+				<include name="bin/windows/**/*"/>
+				<include name="apache-httpd/linux"/>
+				<include name="apache-httpd/linux/**/*"/>
+				<include name="*.sh"/>
+				<include name="*.csh"/>
+				<include name="*.bash"/>
+			</fileset>
+		</move>
+
+		<!-- imagemagick (all linux specific) -->
+		<mkdir dir="components/tmp/cdrom/imagemagick/linux"/>
+		<copy todir="components/tmp/cdrom/imagemagick/linux" overwrite="true">
+			<fileset dir="components/tmp/imagemagick"/>
+		</copy>
+
+
+		<!-- sourcecode -->
+		<mkdir dir="components/tmp/cdrom/sourcecode/all"/>
+		<mkdir dir="components/tmp/cdrom/sourcecode/linux"/>
+		<copy todir="components/tmp/cdrom/sourcecode/all" overwrite="true">
+			<fileset dir="components/tmp/sourcecode"/>
+		</copy>
+		<move todir="components/tmp/cdrom/sourcecode/linux" overwrite="true">
+			<fileset dir="components/tmp/cdrom/sourcecode/all">
+				<include name="acconfig.h"/>
+				<include name="aclocal.m4"/>
+				<include name="config.guess"/>
+				<include name="config.sub"/>
+				<include name="configtest.pl"/>
+				<include name="configure"/>
+				<include name="configure.in"/>
+				<include name="install-sh"/>
+				<include name="Makefile.in"/>
+				<include name="micotest.cpp"/>
+				<include name="config.h.in"/>
+			</fileset>
+		</move>
+
+		<tar destfile="products/cdrom.tar.gz" basedir="components/tmp/cdrom" compression="gzip"/>
+		
+	</target>
+
 </project>