Index: /release-kits/cdrk2/ant-scripts/build.xml
===================================================================
--- /release-kits/cdrk2/ant-scripts/build.xml	(revision 18846)
+++ /release-kits/cdrk2/ant-scripts/build.xml	(revision 18847)
@@ -156,11 +156,12 @@
 
 	<target name="create-image">
+
 		<mkdir dir="products"/>
-		<!-- mkisofs -o products/Greenstone-CDROM.iso -J -R -D cdrom -->
+
 		<exec executable="mkisofs">
 			<arg value="-input-charset"/>
 			<arg value="utf-8"/>
 			<arg value="-o"/>
-			<arg value="products/Greenstone-CDROM-${version}.iso"/>
+			<arg value="products/Greenstone-${version}-cdrom.iso"/>
 			<arg value="-J"/>
 			<arg value="-R"/>
@@ -168,4 +169,17 @@
 			<arg value="cdrom"/>
 		</exec>
+
+		<!--
+		<exec executable="/bin/bash" dir="products">
+			<arg value="-c"/>
+			<arg value="cat Greenstone-${version}-cdrom.iso | gzip > Greenstone-${version}-cdrom.iso.gz"/>
+		</exec>
+		-->
+
+		<exec executable="/bin/bash" dir="products">
+			<arg value="-c"/>
+			<arg value="zip Greenstone-${version}-cdrom.zip Greenstone-${version}-cdrom.iso"/>
+		</exec>
+
 	</target>
 
Index: /release-kits/lirk2/installer/build.xml
===================================================================
--- /release-kits/lirk2/installer/build.xml	(revision 18846)
+++ /release-kits/lirk2/installer/build.xml	(revision 18847)
@@ -58,8 +58,7 @@
 
 		<echo>Filling in concrete values in config files</echo>
+		<copy file="${installDir}/cgi-bin/gsdlsite.cfg.in" tofile="${installDir}/cgi-bin/gsdlsite.cfg"/>
 		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg">
 			<job pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
-			<job pattern="^(#?httpprefix).*" replacement="$1 /gsdl"/>
-			<job pattern="^(#?httpimg).*" replacement="$1 /gsdl/images"/>
 		</rsr>
 		<echo/>
Index: /release-kits/lirk3/ant-scripts/operations-on-gs3home.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/operations-on-gs3home.xml	(revision 18846)
+++ /release-kits/lirk3/ant-scripts/operations-on-gs3home.xml	(revision 18847)
@@ -5,5 +5,4 @@
 	<import file="${basedir}/build.xml"/>
 
-	<property name="documented.collections.home" value="/home/nzdl/for-distributions/collect"/>
 	<property name="greenstone3-change-date" value="Tue Feb 20 12:13:42 NZDT 2007"/>
 	<property name="gs2build-change-date" value="Wed Dec 13 10:35:57 NZDT 2006"/>
@@ -260,38 +259,4 @@
     <delete file="${gs2build.home}/perllib/cpan/XML-Parser.tar.gz"/>
   </target>
-
-<!--  <target name="create-changelog"> -->
-    <!-- generate greenstone 3 changelog -->
-<!--    <exec executable="/home/nzdl/for-distributions/bin/script/cvs2cl.pl"
-      dir="${basedir}">
-      <arg value="-P"/>
-      <arg value="-F"/>
-      <arg value="trunk"/>
-      <arg value="-r"/>
-      <arg value="-S"/>
-      <arg value="-l"/>
-      <arg value="-d'${greenstone3-change-date}&lt;tomorrow'"/>
-      <arg value="-f"/>
-      <arg value="greenstone-${app.version}-ChangeLog.txt"/>
-      <arg value="-I"/>
-      <arg value="gli/.*|gs2build/.*"/>
-    </exec> -->
-    <!-- generate coll building change log -->
-<!--    <exec executable="/home/nzdl/for-distributions/bin/script/cvs2cl.pl"
-      dir="${basedir}">
-      <arg value="-P"/>
-      <arg value="-F"/>
-      <arg value="trunk"/>
-      <arg value="-r"/>
-      <arg value="-S"/>
-      <arg value="-l"/>
-      <arg value="-d'${gs2build-change-date}&lt;tomorrow'"/>
-      <arg value="-f"/>
-      <arg value="greenstone-${app.version}-ChangeLog-collbuilding.txt"/>
-      <arg value="gli"/>
-      <arg value="gs2build"/>
-    </exec> 
-  </target> -->
-
 
   <!-- new targets to go in distribution build.xml files -->
Index: /release-kits/mark2/installer/build.xml
===================================================================
--- /release-kits/mark2/installer/build.xml	(revision 18846)
+++ /release-kits/mark2/installer/build.xml	(revision 18847)
@@ -50,7 +50,6 @@
 
 		<echo message="Filling in concrete values in config files"/>
+		<copy file="${installDir}/cgi-bin/gsdlsite.cfg.in" tofile="${installDir}/cgi-bin/gsdlsite.cfg"/>
 		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg" pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
-		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg" pattern="^(#?httpprefix).*" replacement="$1 /gsdl"/>
-		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg" pattern="^(#?httpimg).*" replacement="$1 /gsdl/images"/>
 		<echo/>
 
Index: /release-kits/mark3/ant-scripts/operations-on-gs3home.xml
===================================================================
--- /release-kits/mark3/ant-scripts/operations-on-gs3home.xml	(revision 18846)
+++ /release-kits/mark3/ant-scripts/operations-on-gs3home.xml	(revision 18847)
@@ -14,5 +14,4 @@
 	<import file="${basedir}/build.xml"/>
 
-	<property name="documented.collections.home" value="/home/nzdl/for-distributions/collect"/>
 	<property name="greenstone3-change-date" value="Tue Feb 20 12:13:42 NZDT 2007"/>
 	<property name="gs2build-change-date" value="Wed Dec 13 10:35:57 NZDT 2006"/>
@@ -264,38 +263,4 @@
     <delete file="${gs2build.home}/perllib/cpan/XML-Parser.tar.gz"/>
   </target>
-
-<!--  <target name="create-changelog"> -->
-    <!-- generate greenstone 3 changelog -->
-<!--    <exec executable="/home/nzdl/for-distributions/bin/script/cvs2cl.pl"
-      dir="${basedir}">
-      <arg value="-P"/>
-      <arg value="-F"/>
-      <arg value="trunk"/>
-      <arg value="-r"/>
-      <arg value="-S"/>
-      <arg value="-l"/>
-      <arg value="-d'${greenstone3-change-date}&lt;tomorrow'"/>
-      <arg value="-f"/>
-      <arg value="greenstone-${app.version}-ChangeLog.txt"/>
-      <arg value="-I"/>
-      <arg value="gli/.*|gs2build/.*"/>
-    </exec> -->
-    <!-- generate coll building change log -->
-<!--    <exec executable="/home/nzdl/for-distributions/bin/script/cvs2cl.pl"
-      dir="${basedir}">
-      <arg value="-P"/>
-      <arg value="-F"/>
-      <arg value="trunk"/>
-      <arg value="-r"/>
-      <arg value="-S"/>
-      <arg value="-l"/>
-      <arg value="-d'${gs2build-change-date}&lt;tomorrow'"/>
-      <arg value="-f"/>
-      <arg value="greenstone-${app.version}-ChangeLog-collbuilding.txt"/>
-      <arg value="gli"/>
-      <arg value="gs2build"/>
-    </exec> 
-  </target> -->
-
 
   <!-- new targets to go in distribution build.xml files -->
Index: /release-kits/wirk2/ant-scripts/create-components.xml
===================================================================
--- /release-kits/wirk2/ant-scripts/create-components.xml	(revision 18846)
+++ /release-kits/wirk2/ant-scripts/create-components.xml	(revision 18847)
@@ -182,5 +182,5 @@
 		</move>
 
-		<tar destfile="products/cdrom.tar.gz" basedir="components/tmp/cdrom" compression="gzip"/>
+		<tar destfile="products/cdrom-linux-${version}.tar.gz" basedir="components/tmp/cdrom" compression="gzip"/>
 		
 	</target>
Index: /release-kits/wirk2/ant-scripts/operations-on-gs3home.xml
===================================================================
--- /release-kits/wirk2/ant-scripts/operations-on-gs3home.xml	(revision 18846)
+++ /release-kits/wirk2/ant-scripts/operations-on-gs3home.xml	(revision 18847)
@@ -14,5 +14,4 @@
 	<import file="${basedir}/build.xml"/>
 
-	<property name="documented.collections.home" value="/home/nzdl/for-distributions/collect"/>
 	<property name="greenstone3-change-date" value="Tue Feb 20 12:13:42 NZDT 2007"/>
 	<property name="gs2build-change-date" value="Wed Dec 13 10:35:57 NZDT 2006"/>