Index: documentation/tags/2.81/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/tags/2.81/tutorials/xml-source/tutorial_en.xml	(revision 18846)
+++ documentation/tags/2.81/tutorials/xml-source/tutorial_en.xml	(revision 18856)
@@ -1712,5 +1712,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0425">In the <AutoText key="glidict::GUI.Design"/> panel, select the <AutoText key="glidict::CDM.GUI.Plugins"/> section, then select the <AutoText text="plugin HTMLPlugin"/> line and click <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/>. A popup window appears. Locate the <AutoText text="file_is_url"/> option (about halfway down the first block of items) and switch it on. While you are there, switch off the <AutoText text="smart_block"/> option so that stray images are not processed. Click <AutoText key="glidict::General.OK" type="button"/>.</Text>
+<Text id="0425">In the <AutoText key="glidict::GUI.Design"/> panel, select the <AutoText key="glidict::CDM.GUI.Plugins"/> section, then select the <AutoText text="plugin HTMLPlugin"/> line and click <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/>. A popup window appears. Locate the <AutoText text="file_is_url"/> option (about halfway down the first block of items) and switch it on. Click <AutoText key="glidict::General.OK" type="button"/>.</Text>
 <Text id="0426">Setting this option to the <AutoText text="HTMLPlugin"/> means that Greenstone sets an additional piece of metadata for each document called <AutoText text="URL"/>, which gives its original URL.</Text>
 <Text id="0427">It is important that the files gathered in the collection start with the web domain name (<i>englishhistory.net</i> in this case). The conversion process will not work if you dragged over a subfolder, for example the <Path>tudor</Path> folder, because this will set <AutoText text="URL"/> metadata to something like</Text>
@@ -1722,5 +1722,5 @@
 http://englishhistory.net/tudor/citizens/...
 </Indent> 
-<Text id="0429">If you have copied over a subfolder previously, delete it and make a fresh copy. Drag the folder in the right-hand side of the <AutoText key="glidict::GUI.Gather"/> panel on to the trash can in the lower right corner. Then obtain a fresh copy of the files by dragging across the <Path>englishhistory.net</Path> folder from the <AutoText key="glidict::Tree.DownloadedFiles"/> folder on the left-hand side.</Text>
+<Text id="0429">If you have copied over a subfolder previously, delete it and make a fresh copy. Drag the folder in the right-hand side of the <AutoText key="glidict::GUI.Gather"/> panel on to the trash can in the lower right corner. Then obtain a fresh copy of the files by dragging across the <Path>englishhistory.net</Path> folder from the <Path>sample_files &rarr; tudor</Path> folder (or the <AutoText key="glidict::Tree.DownloadedFiles"/> folder if you have done exercise <TutorialRef id="downloading_from_internet"/>) on the left-hand side.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2918,5 +2918,8 @@
 </Comment>
 <NumberedItem>
-<Text id="0710">You need to configure the image plug-in. In the <AutoText key="glidict::GUI.Design"/> panel, select the <AutoText key="glidict::CDM.GUI.Plugins"/> section, then select the <AutoText text="ImagePlugin"/> line and click <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/>. In the resulting popup window locate the <AutoText text="screenviewsize"/> option, switch it on, and type the number <AutoText text="300"/> in the box beside it to create a screen-view image of 300 pixels. Click <AutoText key="glidict::General.OK" type="button"/>.</Text>
+<Text id="oai-plugin-option">You need to specifiy which document the OAI metadata values should be attached to. In the <AutoText key="glidict::GUI.Design"/> panel, select the <AutoText key="glidict::CDM.GUI.Plugins"/> section, then select the <AutoText text="OAIPlugin"/> and click <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/>. Locate the <AutoText text="document_field"/> option in the popup window and select <AutoText text="dc.Resource Identifier"/> from the drop-down list. Click <AutoText key="glidict::General.OK" type="button"/>.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="0710">You also need to configure the image plug-in. Select the <AutoText text="ImagePlugin"/> line in the <AutoText key="glidict::CDM.GUI.Plugins"/> section and click <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/>. In the resulting popup window locate the <AutoText text="screenviewsize"/> option, switch it on, and type the number <AutoText text="300"/> in the box beside it to create a screen-view image of 300 pixels. Click <AutoText key="glidict::General.OK" type="button"/>.</Text>
 </NumberedItem>
 <NumberedItem>