Index: /release-kits/shared/language-strings/LanguagePack.properties
===================================================================
--- /release-kits/shared/language-strings/LanguagePack.properties	(revision 18876)
+++ /release-kits/shared/language-strings/LanguagePack.properties	(revision 18877)
@@ -192,2 +192,17 @@
 license.next.text = Accept
 license.cancel.text = Reject
+
+#text install strings
+_required_=required
+_default_=default
+true=true
+affirmativeChars=T,Y
+licenseAccept=Do you accept the license? Y or N   [default\:Y]
+clickViewLicense=Press enter to view the license agreement
+clickViewText=Press enter to continue
+enterNumber=Enter a number
+fileDoesNotExist=The File does not exist
+license_next=enter 'N' for the next page, enter anything else to scroll to the the end
+large_select_next=enter 'N' for the next page, enter anything else to scroll to the the end
+nextChar=N
+availableOptions=view available options
Index: /release-kits/shared/language-strings/LanguagePack_de.properties
===================================================================
--- /release-kits/shared/language-strings/LanguagePack_de.properties	(revision 18876)
+++ /release-kits/shared/language-strings/LanguagePack_de.properties	(revision 18877)
@@ -190,2 +190,18 @@
 license.next.text = Akzeptieren
 license.cancel.text = Ablehnen
+
+#text install strings
+_required_=erforderlich
+_default_=Voreinstellung
+true=wahr
+affirmativeChars=W,J
+licenseAccept=Akzeptieren Sie diese Lizenz? J oder N  [Vorgabe\:J]
+clickViewLicense=DrÃŒcken Sie die Eingabetaste, um die Lizenzvereinbarung anzusehen
+clickViewText=Press enter to continue
+enterNumber=Geben Sie eine Zahl ein
+fileDoesNotExist=Die Datei existiert nicht
+license_next=Geben Sie 'N' fÃŒr die nÃ€chste Seite ein, oder eine andere
+Taste, um zum Ende zu springen
+large_select_next=Geben Sie 'N' fÃŒr die nÃ€chste Seite ein, oder eine andere Taste, um zum Ende zu springen
+nextChar=N
+availableOptions=VerfÃŒgbare Optionen ansehen
Index: /release-kits/shared/language-strings/LanguagePack_es.properties
===================================================================
--- /release-kits/shared/language-strings/LanguagePack_es.properties	(revision 18876)
+++ /release-kits/shared/language-strings/LanguagePack_es.properties	(revision 18877)
@@ -189,2 +189,16 @@
 license.cancel.text=Rechazar
 
+#text install strings
+_required_=Requerido
+_default_=Por defecto
+true=Verdad
+affirmativeChars=S,V
+licenseAccept=Aceptar la licencia? S o N   [Por defecto\:Y]
+clickViewLicense=Pulsar intro para ver licencia.
+clickViewText=Pulsar intro para continuar.
+enterNumber=Introduzca un nmero.
+fileDoesNotExist=El fichero no existe.
+license_next=Pulse 'S' para ver la siguiente página, pulse cualquier otra tecla para ir al final.
+large_select_next=Pulse 'S' para ver la siguiente pàgina, pulse cualquier otra tecla para ir al final.
+nextChar=S
+availableOptions=Ver opciones disponibles.
Index: /release-kits/shared/language-strings/LanguagePack_es_EU.properties
===================================================================
--- /release-kits/shared/language-strings/LanguagePack_es_EU.properties	(revision 18876)
+++ /release-kits/shared/language-strings/LanguagePack_es_EU.properties	(revision 18877)
@@ -45,2 +45,18 @@
 license.next.text = Aceptar
 license.cancel.text = Cancellar
+
+
+#text install strings
+_required_=Beharrezkoa
+_default_=Lehenetsia
+true=Egia
+affirmativeChars=E,B
+licenseAccept=Baimena onartzen duzu? E,B edo N   [Lehenetsia\:Y]
+clickViewLicense=Sakatu hemen baimena ikusteko.
+clickViewText=Pulsar intro para continuar.
+enterNumber=Sartu zenbaki bat.
+fileDoesNotExist=Fitztegia ez da existitzen.
+license_next=Sakatu 'N' hurrengo horrialdea ikusteko, sakatu beste edozer gauza bukaerara joateko.
+large_select_next=Sakatu 'N' hurrengo horrialdea ikusteko, sakatu beste edozer gauza bukaerara joateko.
+nextChar=N
+availableOptions=ikusi aukerak
Index: /release-kits/shared/linux/wrapper.cpp
===================================================================
--- /release-kits/shared/linux/wrapper.cpp	(revision 18876)
+++ /release-kits/shared/linux/wrapper.cpp	(revision 18877)
@@ -16,4 +16,13 @@
 	string javafile = tempdir + "/@java.installer@"; //where we will store the java tar file
 	bool succeeded = false;
+	bool textMode = false;
+
+	//parse arguments
+	for ( int i=0; i<argc; i++ ) {
+		if ( strcmp( argv[i], "text" ) == 0 ) {
+			textMode = true;
+		}
+	}
+
 
 	//create the temp folder
@@ -89,5 +98,5 @@
 		cout << "Launching Installer ..." << endl;
 		int launch_exit_code = 0;
-		launch_exit_code = system( (foundJvm.getExecutable() + " -Xmx85M -jar @installer.name@.jar").c_str() );
+		launch_exit_code = system( (foundJvm.getExecutable() + " -Xmx85M -jar @installer.name@.jar" + (textMode?" text":"") ).c_str() );
 
 		//report how it went